Range-v3 Range algorithms, views, and actions for the Standard Library |

Classes | Typedefs
interface.hpp File Reference

## Classes
struct | ranges::view_interface< Derived, Cardinality >

## Typedefs
template<typename Derived >
using | ranges::cpp20::view_interface = ranges::view_interface< Derived, ranges::unknown >

## Typedef Documentation

## ◆ view_interface

template<typename Derived >

using ranges::cpp20::view_interface = typedef ranges::view_interface<Derived, ranges::unknown>

Precondition
  requires `std::is_class<Derived>::value && same_as<Derived, meta::_t<std::remove_cv<Derived>>>`